<template>
    <StackLayout class="p-4">
        <Label class="px-3"
            v-if="listOfItems.length == 0" text="Ingrese ciudad o aeropuerto" textWrap="true" />
        <Button v-else class="border text-slate-500 "
            v-for="item, i in listOfItems" :key="i" :text="item" />
    </StackLayout>
</template>

<script>
import { Http } from '@nativescript/core'
export default {
    props: ["query"],
    data() {
        return {
            listOfItems: []
        }
    },
    created() {

    },
    watch: {
        query(val) {
            if (val.length > 2) this.getData()
            else this.listOfItems = []
        }
    },

    methods: {
        getData() {
            Http.getJSON(`https://suggest.agentcars.com/suggest/?lang=es&key=&query=${this.query}`)
                .then(
                    (result) => {
                        this.listOfItems = []
                        for (const key in result) {
                            this.listOfItems.push(result[key].value)
                        }
                    }, e => { console.log("error", e) }
                )
        },
        onItemTap() { }

    }
}
</script>